/*Xo6061glPW4sBtS82H4Gifzp3OJ6LLjf4yhGvGC54sB2pz5huE+Y54GeNGskslPmUtgBF46I0rx+
xH3updoviA==*/
package nc.vo.sscpfa.pfareport.report;

import nc.vo.pub.ValidationException;
import nc.vo.pub.ValueObject;
import nc.vo.pub.lang.UFBoolean;

public class ReportQueryConditionVO extends ValueObject{

	private String pk_sscunit;//共享中心
	private String pk_workinggroup;//共享中心作业组
	private String pk_workinggroup_user;//共享中心作业组人员
	private String pk_org;//受控组织
	private String pk_dept;//部门
	private String startdate; // 开始时间
	private String enddate;   // 结束时间
	private String pre_startdate;//上期开始时间
	private String pre_enddate;//上期结束时间
	private String cur_startdate;//本期开始时间
	private String cur_enddate;//本期结束时间
	private String pk_busiunit;//业务系统，可多选，多选值以逗号分隔
	private String pk_transtype;//交易类型，可多选
	private String reportType;//报表类型
	private String reportType_src;//来源报表类型
	private String timeUnit;//时间单位
	private String imageScanFinishTime;// 影像扫描完成时间
	private UFBoolean includeAutoApprove;//包含自动审批
	private UFBoolean includeAutoSign;//包含自动签字
	private UFBoolean includeAutoSettle;//包含自动结算
	private String pk_billtype;//单据类型
	private String pk_sscnode;//驳回类型
	private String iap_startdate;//智能审批开始时间
	private String iap_enddate;//智能审批结束时间
	private String iap_result;//智能审批结果
	private String isCurrentPeriod;//是否本期间
	private String isauto_approve;//是否自动审批
	
	public static String PK_BILLTYPE = "pk_billtype";
	public static String PK_SSCNODE = "pk_sscnode";
	public static String PK_SSCUNIT = "pk_sscunit";
	public static String PK_ORG = "pk_org";
	public static String PK_WORKINGGROUP = "pk_workinggroup";
	public static String PK_WORKINGGROUP_USER = "pk_workinggroup_user";
	public static String PK_DEPT = "pk_dept";
	public static String PK_BUSIUNIT = "pk_busiunit";
	public static String PERIOD = "period";
	public static String PERIOD_STARTDATE = "startdate";
	public static String PERIOD_ENDDATE = "enddate";
	public static String CUR_PERIOD = "cur_period";
	public static String PRE_PERIOD = "pre_period";
	public static String PRE_STARTDATE = "pre_startdate";
	public static String PRE_ENDDATE = "pre_enddate";
	public static String CUR_STARTDATE = "cur_startdate";
	public static String CUR_ENDDATE = "cur_enddate";
	public static String IMAGESCANFINISHTIME = "scanfinishtime";
	public static String PK_TRANSTYPE = "pk_transtype";
	public static String APPROVEDATE="approveperiod";
	public static String APPROVERESULT="approveresult";
	public static String IAP_STARTDATE="iap_startdate";
	public static String IAP_ENDDATE="iap_enddate";
	public static String IAP_RESULT="iap_result";
	public static String ISCURRENTPERIOD = "isCurrentPeriod";
	public static String ISAUTO_APPROVE = "isauto_approve";
	
	public static String GRAPHIC_FROMGRAPHIC = "isFromGraphic"; //是否是报销图形化查询
	public static String GRAPHIC_USERQUERYCOND = "userQueryCond";//查询条件
	
	public static final String  REPORTTYPE = "reporttype";
	public static final String  REPORTTYPE_SRC = "reporttype_src";
	public static final String REPORTTYPE_FULLPROCESS = "fullprocess";//全流程
	public static final String REPORTTYPE_SIGN = "sign";//签字
	public static final String REPORTTYPE_SETTLE = "settle";//签字
	public static final String REPORTTYPE_PAYMENT = "payment";//签字
	public static final String REPORTTYPE_FIRSTEXAM = "firstexam";//共享初审
	public static final String REPORTTYPE_REVIEWEXAM = "reviewexam";//共享复审
	public static final String REPORTTYPE_SSCAPPROVE = "sscapprove";//共享审批
	public static final String REPORTTYPE_LOCALPROCESS = "localprocess";//本地流程
	public static final String REPORTTYPE_SSCPROCESS = "sscprocess";//共享流程
	public static final String REPORTTYPE_TASKDETAIL = "taskdetail";//任务明细
	public static final String REPORTTYPE_REJECT = "reject";//驳回统计
	public static final String REPORTTYPE_IMAGESCAN = "imagescan";//影像扫描
	public static final String REPORTTYPE_IMAGESCANOVERTIME = "imagescanovertime";//影像扫描超期明细表
	public static final String REPORTTYPE_REJECT_DETAIL = "rejectdetail";//驳回统计明细
	public static final String REPORTTYPE_HANDON_DETAIL = "handondetail";//挂起统计明细
	public static final String REPORTTYPE_INTELLIGENTAPPROVE ="intelligentapprove";//智能审批汇总
	public static final String REPORTTYPE_INTELLIGENTAPPROVEDETAIL ="intelligentapprovedetail";//智能审批汇总
	public static final String REPORTTYPE_WORKINGGROUP = "workinggroup";//作业组单据量
	public static final String REPORTTYPE_USEROPRATION = "useropration";//作业人员作业量
	
	
	public static String TIMEUNIT = "timeunit";
	public static String TIMEUNIT_HOUR = "hour";
	public static String TIMEUNIT_MIN = "min";
	
	public static String INCLUDEAUTOAPPROVE = "includeautoapprove";
	public static String INCLUDEAUTOSIGN = "includeautosign";
	public static String INCLUDEAUTOSETTLE = "includeautosettle";
	
	//sdan 增加报表查询条件 20220416
	private String pre_operatetim;
	public static String OPERATETIM = "operatetim";//单据提交时间
	private String end_operatetim;
	
	private String billmaker;
	public static String BILLMAKER = "billmaker";//报账人
	
	private String billstatus;
	public static final String BILLSTATUS = "billstatus" ; //单据状态
	
	private String pressc_starttime;
	public static String SSC_STARTTIMR = "ssc_starttime";//入池时间
	private String endssc_starttime;
	
	private String pregetbill_time;
	public static final String GETBILL_TIME = "getbill_time" ;//单据到手时间
	private String endgetbill_time;
	
	private String pregxsh_endtime;
	public static final String GXSH_ENDTIME = "gxsh_endtime";//共享审核时间
	private String endgxsh_endtime;
	
	private String gxsh_user;
	public static final String GXSH_USER = "gxsh_user";//共享审核人
	
	private String pregxfh_endtime;
	public static final String GXFH_ENDTIME = "gxfh_endtime";//共享复核时间
	private String endgxfh_endtime;
	
	private String gxfh_user;
	public static final String GXFH_USER = "gxfh_user";//共享复核人
	
	private String recbill_user;
	public static final String RECBILL_USER = "recbill_user" ;//收单处理人
	
	private String prerecbill_time;
	public static final String RECBILL_TIME = "recbill_time" ;//收单时间
	private String endrecbill_time;
	
	private String prebusi_auditdate;
	public static final String BUSI_AUDITDATE = "busi_auditdate";//签字开始时间
	private String endbusi_auditdate;
	
	private String preqz_endtime;
	public static final String QZ_ENDTIME = "qz_endtime";//签字时间
	private String endqz_endtime;
	
	private String qz_user;
	public static final String QZ_USER = "qz_user";//签字人
	
	private String prepaycomfirm_time;
	public static final String PAYCOMFIRM_TIME = "paycomfirm_time" ;//支付确认单提交时间
	private String endpaycomfirm_time;
	
	private String prejs_endtime;
	public static final String JS_ENDTIME = "js_endtime";//结算时间
	private String endjs_endtime;
	
	private String js_user;
	public static final String JS_USER = "js_user";//结算人
	//end
	
	// 临时表名
	private String tableName;
	
	private String cmp_tableName;
	
	public String getCmp_tableName() {
		return cmp_tableName;
	}
	
	public void setCmp_tableName(String cmp_tableName) {
		this.cmp_tableName = cmp_tableName;
	}
	
	public void setTabelName(String tableName) {
		this.tableName = tableName;
	}
	
	public String getTableName() {
		return tableName;
	}
	
	public String getPk_workinggroup_user() {
		return pk_workinggroup_user;
	}

	public void setPk_workinggroup_user(String pk_workinggroup_user) {
		this.pk_workinggroup_user = pk_workinggroup_user;
	}

	public String getStartdate() {
		return startdate;
	}

	public void setStartdate(String startdate) {
		this.startdate = startdate;
	}

	public String getEnddate() {
		return enddate;
	}

	public void setEnddate(String enddate) {
		this.enddate = enddate;
	}

	public String getTimeUnit() {
		return timeUnit;
	}

	public void setTimeUnit(String timeUnit) {
		this.timeUnit = timeUnit;
	}

	public String getPk_sscunit() {
		return pk_sscunit;
	}

	public void setPk_sscunit(String pk_sscunit) {
		this.pk_sscunit = pk_sscunit;
	}

	public String getPk_org() {
		return pk_org;
	}

	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}

	public String getPre_startdate() {
		return pre_startdate;
	}

	public void setPre_startdate(String pre_startdate) {
		this.pre_startdate = pre_startdate;
	}

	public String getPre_enddate() {
		return pre_enddate;
	}

	public void setPre_enddate(String pre_enddate) {
		this.pre_enddate = pre_enddate;
	}

	public String getCur_startdate() {
		return cur_startdate;
	}

	public void setCur_startdate(String cur_startdate) {
		this.cur_startdate = cur_startdate;
	}

	public String getCur_enddate() {
		return cur_enddate;
	}

	public void setCur_enddate(String cur_enddate) {
		this.cur_enddate = cur_enddate;
	}

	public String getPk_dept() {
		return pk_dept;
	}

	public void setPk_dept(String pk_dept) {
		this.pk_dept = pk_dept;
	}

	public String getPk_busiunit() {
		return pk_busiunit;
	}

	public void setPk_busiunit(String pk_system) {
		this.pk_busiunit = pk_system;
	}

	public String getPk_transtype() {
		return pk_transtype;
	}

	public void setPk_transtype(String pk_transtype) {
		this.pk_transtype = pk_transtype;
	}

	public String getReportType() {
		return reportType;
	}

	public void setReportType(String reportType) {
		this.reportType = reportType;
	}
	
	public String getReportType_src() {
		return reportType_src;
	}

	public void setReportType_src(String reportType_src) {
		this.reportType_src = reportType_src;
	}


	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public String getEntityName() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public void validate() throws ValidationException {
		// TODO Auto-generated method stub
		
	}

	public UFBoolean getIncludeAutoApprove() {
		return includeAutoApprove;
	}

	public UFBoolean getIncludeAutoSign() {
		return includeAutoSign;
	}

	public UFBoolean getIncludeAutoSettle() {
		return includeAutoSettle;
	}

	public void setIncludeAutoApprove(UFBoolean includeAutoApprove) {
		this.includeAutoApprove = includeAutoApprove;

	}
	public void setIncludeAutoSign(UFBoolean includeAutoSign) {
		this.includeAutoSign = includeAutoSign;
	}

	public void setIncludeAutoSettle(UFBoolean includeAutoSettle) {
		this.includeAutoSettle = includeAutoSettle;
	}

	public String getPk_billtype() {
		return pk_billtype;
	}

	public void setPk_billtype(String pk_billtype) {
		this.pk_billtype = pk_billtype;
	}

	public String getPk_workinggroup() {
		return pk_workinggroup;
	}

	public void setPk_workinggroup(String pk_workinggroup) {
		this.pk_workinggroup = pk_workinggroup;
	}

	public String getPk_sscnode() {
		return pk_sscnode;
	}

	public void setPk_sscnode(String pk_sscnode) {
		this.pk_sscnode = pk_sscnode;
	}

	public String getIap_startdate() {
		return iap_startdate;
	}

	public void setIap_startdate(String iap_startdate) {
		this.iap_startdate = iap_startdate;
	}

	public String getIap_enddate() {
		return iap_enddate;
	}

	public void setIap_enddate(String iap_enddate) {
		this.iap_enddate = iap_enddate;
	}

	public String getIap_result() {
		return iap_result;
	}

	public void setIap_result(String iap_result) {
		this.iap_result = iap_result;
	}

	public String getIsCurrentPeriod() {
		return isCurrentPeriod;
	}

	public void setIsCurrentPeriod(String isCurrentPeriod) {
		this.isCurrentPeriod = isCurrentPeriod;
	}

    public String getIsauto_approve() {
        return isauto_approve;
    }

    public void setIsauto_approve(String isauto_approve) {
        this.isauto_approve = isauto_approve;
    }

	
	public String getImageScanFinishTime() {
		return imageScanFinishTime;
	}

	
	public void setImageScanFinishTime(String imageScanFinishTime) {
		this.imageScanFinishTime = imageScanFinishTime;
	}

	// add by wenfx start
	private String bill_bxr;
	public static String BILL_BXR = "bill_bxr";

	public String getBill_bxr() {
		return bill_bxr;
	}

	public void setBill_bxr(String bill_bxr) {
		this.bill_bxr = bill_bxr;
	}

	private String billno;
	public static String BILLNO = "billno";

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}
	// add by wenfx end
	
	// add by dujunlong start
	//添加查询条件-单据日期
	private String bill_createtime_startdate;//单据日期开始日期
	private String bill_createtime_enddate;//单据日期结束日期
	public static String BILL_CREATETIME = "bill_createtime";
	public static String BILL_CREATETIME_STARTDATE = "bill_createtime_startdate";
	public static String BILL_CREATETIME_ENDDATE = "bill_createtime_enddate";

	public String getBill_createtime_startdate() {
		return bill_createtime_startdate;
	}

	public void setBill_createtime_startdate(String bill_createtime_startdate) {
		this.bill_createtime_startdate = bill_createtime_startdate;
	}

	public String getBill_createtime_enddate() {
		return bill_createtime_enddate;
	}

	public void setBill_createtime_enddate(String bill_createtime_enddate) {
		this.bill_createtime_enddate = bill_createtime_enddate;
	}

	//添加查询条件-单据提交时间
	private String bill_committime_startdate;//单据提交时间开始时间
	private String bill_committime_enddate;//单据提交时间结束时间
	public static String BILL_COMMITTIME = "bill_committime";
	public static String BILL_COMMITTIME_STARTDATE = "bill_committime_startdate";
	public static String BILL_COMMITTIME_ENDDATE = "bill_committime_enddate";

	public String getBill_committime_startdate() {
		return bill_committime_startdate;
	}

	public void setBill_committime_startdate(String bill_committime_startdate) {
		this.bill_committime_startdate = bill_committime_startdate;
	}

	public String getBill_committime_enddate() {
		return bill_committime_enddate;
	}

	public void setBill_committime_enddate(String bill_committime_enddate) {
		this.bill_committime_enddate = bill_committime_enddate;
	}
	// add by dujunlong end

	public String getPre_creationtime() {
		return pre_operatetim;
	}

	public void setPre_creationtime(String pre_operatetim) {
		this.pre_operatetim = pre_operatetim;
	}

	public String getEnd_creationtime() {
		return end_operatetim;
	}

	public void setEnd_creationtime(String end_operatetim) {
		this.end_operatetim = end_operatetim;
	}



	public String getBillmaker() {
		return billmaker;
	}
  
	public void setBillmaker(String billmaker) {
		this.billmaker = billmaker;
	}

	public String getPressc_starttime() {
		return pressc_starttime;
	}

	public void setPressc_starttime(String pressc_starttime) {
		this.pressc_starttime = pressc_starttime;
	}

	public String getEndssc_starttime() {
		return endssc_starttime;
	}

	public void setEndssc_starttime(String endssc_starttime) {
		this.endssc_starttime = endssc_starttime;
	}

	public String getBillstatus() {
		return billstatus;
	}

	public void setBillstatus(String billstatus) {
		this.billstatus = billstatus;
	}

	public String getPregetbill_time() {
		return pregetbill_time;
	}

	public void setPregetbill_time(String pregetbill_time) {
		this.pregetbill_time = pregetbill_time;
	}

	public String getEndgetbill_time() {
		return endgetbill_time;
	}

	public void setEndgetbill_time(String endgetbill_time) {
		this.endgetbill_time = endgetbill_time;
	}

	public String getPregxsh_endtime() {
		return pregxsh_endtime;
	}

	public void setPregxsh_endtime(String pregxsh_endtime) {
		this.pregxsh_endtime = pregxsh_endtime;
	}

	public String getEndgxsh_endtime() {
		return endgxsh_endtime;
	}

	public void setEndgxsh_endtime(String endgxsh_endtime) {
		this.endgxsh_endtime = endgxsh_endtime;
	}

	public String getGxsh_user() {
		return gxsh_user;
	}

	public void setGxsh_user(String gxsh_user) {
		this.gxsh_user = gxsh_user;
	}

	public String getPregxfh_endtime() {
		return pregxfh_endtime;
	}

	public void setPregxfh_endtime(String pregxfh_endtime) {
		this.pregxfh_endtime = pregxfh_endtime;
	}

	public String getEndgxfh_endtime() {
		return endgxfh_endtime;
	}

	public void setEndgxfh_endtime(String endgxfh_endtime) {
		this.endgxfh_endtime = endgxfh_endtime;
	}

	public String getGxfh_user() {
		return gxfh_user;
	}

	public void setGxfh_user(String gxfh_user) {
		this.gxfh_user = gxfh_user;
	}

	public String getRecbill_user() {
		return recbill_user;
	}

	public void setRecbill_user(String recbill_user) {
		this.recbill_user = recbill_user;
	}

	public String getPrerecbill_time() {
		return prerecbill_time;
	}

	public void setPrerecbill_time(String prerecbill_time) {
		this.prerecbill_time = prerecbill_time;
	}

	public String getEndrecbill_time() {
		return endrecbill_time;
	}

	public void setEndrecbill_time(String endrecbill_time) {
		this.endrecbill_time = endrecbill_time;
	}

	public String getPrebusi_auditdate() {
		return prebusi_auditdate;
	}

	public void setPrebusi_auditdate(String prebusi_auditdate) {
		this.prebusi_auditdate = prebusi_auditdate;
	}

	public String getEndbusi_auditdate() {
		return endbusi_auditdate;
	}

	public void setEndbusi_auditdate(String endbusi_auditdate) {
		this.endbusi_auditdate = endbusi_auditdate;
	}

	public String getPreqz_endtime() {
		return preqz_endtime;
	}

	public void setPreqz_endtime(String preqz_endtime) {
		this.preqz_endtime = preqz_endtime;
	}

	public String getEndqz_endtime() {
		return endqz_endtime;
	}

	public void setEndqz_endtime(String endqz_endtime) {
		this.endqz_endtime = endqz_endtime;
	}

	public String getQz_user() {
		return qz_user;
	}

	public void setQz_user(String qz_user) {
		this.qz_user = qz_user;
	}

	public String getPrepaycomfirm_time() {
		return prepaycomfirm_time;
	}

	public void setPrepaycomfirm_time(String prepaycomfirm_time) {
		this.prepaycomfirm_time = prepaycomfirm_time;
	}

	public String getEndpaycomfirm_time() {
		return endpaycomfirm_time;
	}

	public void setEndpaycomfirm_time(String endpaycomfirm_time) {
		this.endpaycomfirm_time = endpaycomfirm_time;
	}

	public String getPrejs_endtime() {
		return prejs_endtime;
	}

	public void setPrejs_endtime(String prejs_endtime) {
		this.prejs_endtime = prejs_endtime;
	}

	public String getEndjs_endtime() {
		return endjs_endtime;
	}

	public void setEndjs_endtime(String endjs_endtime) {
		this.endjs_endtime = endjs_endtime;
	}

	public String getJs_user() {
		return js_user;
	}

	public void setJs_user(String js_user) {
		this.js_user = js_user;
	}

	
}

/*Xo6061glPW4sBtS82H4Gifzp3OJ6LLjf4yhGvGC54sB2pz5huE+Y54GeNGskslPmUtgBF46I0rx+
xH3updoviA==*/